// -------------------------------------------------------------------
// don't know why, but this shader requires that it be named
// with the path to laz0r_fence.tga in order to work properly
// and have a transparent/laserly look
// -------------------------------------------------------------------

textures/docshads/laz0r_fence_g
	{
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm playerclip
    surfaceparm nodlight
    cull none
    	
    qer_editorimage textures/docshads/laz0r_fence_g.tga
    	{
		map textures/docshads/laz0r_fence_g.tga
		blendFunc GL_ONE GL_ONE
		}
	}

textures/docshads/laz0r_fence_p
	{
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm playerclip
    surfaceparm nodlight
    cull none
    
    qer_editorimage textures/docshads/laz0r_fence_p.tga
    	{
		map textures/docshads/laz0r_fence_p.tga
		tcGen base
		tcMod scroll 5.0 0.0
		blendFunc add
		}
	}

textures/docshads/laz0r_fence_g_00
	{
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm playerclip
    surfaceparm nodlight
    cull none
    	
    qer_editorimage textures/docshads/laz0r_fence_g_00.tga
    	{
    	// animate at 24 fps
    	//		the frames are listed here, they must be on the same line
		animMap 30 textures/docshads/laz0r_fence_g_00.tga textures/docshads/laz0r_fence_g_00.tga textures/docshads/laz0r_fence_g_01.tga textures/docshads/laz0r_fence_g_01.tga textures/docshads/laz0r_fence_g_00.tga textures/docshads/laz0r_fence_g_01.tga
		// generate the UV's for any later tcMod commands
		// tcGen base = gen UV's from the base geo
		tcGen base
		// scroll at x,y texture widths per second
		tcMod scroll 15.0 0.0
		// make this thing bright
		blendFunc GL_ONE GL_ONE
		}
	}

textures/docshads/laz0r_emitter
	{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm nodlight
	
	qer_editorimage textures/docshads/laz0r_emitter.tga
		{
		map textures/docshads/laz0r_emitter.tga
		blendFunc GL_ONE GL_ONE
		}
	}

textures/docshads/laz0r_emitter_p
	{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm nodlight
	q3map_surfaceLight 600
	
	qer_editorimage textures/docshads/laz0r_emitter_p.tga
		{
		map textures/docshads/laz0r_emitter_p.tga
		}
	}

textures/docshads/laz0r_emitter_g_00
	{
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm playerclip
    surfaceparm nodlight
    q3map_surfaceLight 600
    	
    qer_editorimage textures/docshads/laz0r_emitter_g_00.tga
    	{
    	// animate at 10 fps
    	//		the frames are listed here, they must be on the same line
		animMap 10 textures/docshads/laz0r_emitter_g_00.tga textures/docshads/laz0r_emitter_g_01.tga textures/docshads/laz0r_emitter_g_00.tga textures/docshads/laz0r_emitter_g_01.tga textures/docshads/laz0r_emitter_g_02.tga
		}
	}

// ARGH!
// where's the fucking ladder shader?!
// do I seriously have to make my own?!
// use this on the brush surrounding the visible ladder geo
// (this shad won't be visible from in-game, it's just there
// so that the game knows where the ladder is)

textures/docshads/ladder
	{
	qer_editor_image textures/docshads/ladder.tga
	qer_trans 0.30
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodraw
	//surfaceparm playerclip
	surfaceparm ladder
	}

// we need a nice brilliant shader to make those ladders stand out
// use this on the geo that's gonna be visible in-game

textures/docshads/laz0r_ladder
	{
	surfaceparm nolightmap
	surfaceparm playerclip
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfaceLight 600
	
	qer_editorimage textures/docshads/laz0r_ladder.tga
		{
		map textures/docshads/laz0r_ladder.tga
		tcGen base
		tcMod scroll 0.0 1.0
		// this'll make this thing slightly transparent
		// like it's a light tube instead of a dull green bsp brush
		blendFunc GL_ONE GL_ONE
		}
	}

